[Midnightbsd-cvs] src [12084] trunk/gnu/usr.bin/groff: fix build

laffer1 at midnightbsd.org laffer1 at midnightbsd.org
Sun Sep 30 17:22:26 EDT 2018


Revision: 12084
          http://svnweb.midnightbsd.org/src/?rev=12084
Author:   laffer1
Date:     2018-09-30 17:22:09 -0400 (Sun, 30 Sep 2018)
Log Message:
-----------
fix build

Modified Paths:
--------------
    trunk/gnu/usr.bin/groff/Makefile
    trunk/gnu/usr.bin/groff/Makefile.inc

Added Paths:
-----------
    trunk/gnu/usr.bin/groff/mdate.sh

Modified: trunk/gnu/usr.bin/groff/Makefile
===================================================================
--- trunk/gnu/usr.bin/groff/Makefile	2018-09-30 02:32:55 UTC (rev 12083)
+++ trunk/gnu/usr.bin/groff/Makefile	2018-09-30 21:22:09 UTC (rev 12084)
@@ -2,4 +2,10 @@
 
 SUBDIR=		contrib doc font man src tmac
 
+.for subdir in ${SUBDIR:Nsrc}
+SUBDIR_DEPEND_${subdir}=	src
+.endfor
+
+SUBDIR_PARALLEL=
+
 .include <bsd.subdir.mk>

Modified: trunk/gnu/usr.bin/groff/Makefile.inc
===================================================================
--- trunk/gnu/usr.bin/groff/Makefile.inc	2018-09-30 02:32:55 UTC (rev 12083)
+++ trunk/gnu/usr.bin/groff/Makefile.inc	2018-09-30 21:22:09 UTC (rev 12084)
@@ -1,4 +1,5 @@
 # $MidnightBSD$
+# $FreeBSD: stable/10/gnu/usr.bin/groff/Makefile.inc 308805 2016-11-18 16:05:32Z emaste $
 
 BINDIR?=	/usr/bin
 SHELL=		/bin/sh
@@ -118,7 +119,7 @@
 	-e "s;@TMAC_MDIR@;$(tmacdir)/mm;g" \
 	-e "s;@BROKEN_SPOOLER_FLAGS@;$(BROKEN_SPOOLER_FLAGS);g" \
 	-e "s;@VERSION@;$(version)$(revision);g" \
-	-e "s;@MDATE@;`$(SHELL) ${GROFF_DIST}/mdate.sh $<`;g" \
+	-e "s;@MDATE@;$(MDATE);g" \
 	-e "s;@g@;$(g);g" \
 	-e "s;@G@;`echo $(g) | LC_ALL=C tr a-z A-Z`;g" \
 	$< >$@
@@ -127,6 +128,7 @@
 
 .sh .pl:
 	@${ECHO} Making ${.TARGET} from ${.IMPSRC}
+	@rm -f ${.TARGET}
 	@sed -e "s|@BINDIR@|${BINDIR}|g" \
 	     -e 's|@GROFF_BIN_PATH_SETUP@|GROFF_RUNTIME="$${GROFF_BIN_PATH=${BINDIR}}:"|g' \
 	     -e "s;@FONTDIR@;$(fontdir);g" \
@@ -139,4 +141,5 @@
 GROFF_DIST=	${.CURDIR}/${TOPREL}/../../../contrib/groff
 DIST_SUBDIR?=	${.CURDIR:T}
 DIST_DIR=	${GROFF_DIST}/${DIST_SUBDIR}
+MDATE!=		sh ${.CURDIR}/${TOPREL}/mdate.sh ${GROFF_DIST}/ChangeLog
 .PATH: ${DIST_DIR}

Added: trunk/gnu/usr.bin/groff/mdate.sh
===================================================================
--- trunk/gnu/usr.bin/groff/mdate.sh	                        (rev 0)
+++ trunk/gnu/usr.bin/groff/mdate.sh	2018-09-30 21:22:09 UTC (rev 12084)
@@ -0,0 +1,8 @@
+#!/bin/sh
+# $MidnightBSD$
+
+set -e
+test -r "$1"
+export LC_ALL=C
+changelog_date=$(sed -E -n '1s/^([0-9]{4}-[0-9]{2}-[0-9]{2}).*$/\1/p' "$1")
+echo $(date -j -f %Y-%m-%d +"%e %B %Y" $changelog_date)


Property changes on: trunk/gnu/usr.bin/groff/mdate.sh
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+MidnightBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property


More information about the Midnightbsd-cvs mailing list